server:
  port: 8083
###################  spring配置  ###################
spring:
  resources:
    static-locations: file:/java/boot/casic-web-1.0.0-SNAPSHOT/image/,file:/java/boot/casic-web-1.0.0-SNAPSHOT/download/
  datasource:
    url: jdbc:mysql://111.198.10.15:11702/smartwell_sp?autoReconnect=true&useUnicode=true&characterEncoding=utf8&useSSL=false
    username: root
    password: Casic203
    initial-size: 2
    min-idle: 1
  jms:
    pub-sub-domain: true
  #  session:
  #   store-type: redis
  redis:
    #139.198.17.169
    host: 139.198.0.132
    port: 20006
    password: ew5T4K3#203lwh
    serializer: org.springframework.data.redis.serializer.StringRedisSerializer
    redisValueSerializer: org.springframework.data.redis.serializer.JdkSerializationRedisSerializer
#flowable数据源和多数据源配置
casic:
  kaptcha-open: false #是否开启登录时验证码 (true/false)
  nologin-urls: /user/login,/user/appLogin,/kaptcha,/config/baseConfig,/route/mockToken,/app/prepositionInvoke,/app/tokenByCard,/sys/receiveSyncData,/sys/test
  file-upload-path: /java/boot/casic-web-1.0.0-SNAPSHOT/upload
  spring-session-open: true
  #服务节点配置 master节点 高级节点配置在后面,请配置在末位
  server:
    ips: '139.198.0.132:20008,139.198.0.132:20008,139.198.0.132:20008,139.198.0.132:20008,139.198.0.132:20007'
    #市公安局
    ids: "110101000000,110102000000,110091000000,110000000000,24"
  sync:
    show-sync-user: true
smartcity:
  config:
    export-path: /java/boot/casic-web-1.0.0-SNAPSHOT/export/
    image-path: /java/boot/casic-web-1.0.0-SNAPSHOT/image/
    config-path: /java/boot/casic-web-1.0.0-SNAPSHOT/temp/
    download-path: /java/boot/casic-web-1.0.0-SNAPSHOT/download/
  device:
    redis:
      invalid-time: 43200
      host: 127.0.0.1
      port: 6379
logging:
  level.root: info
  level.com.casic: debug
  path: logs/
  file: missiles.log